<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2008, 2011 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>

<%-- 
  *****
  * This JSP snippet displays the product details
  *****
--%>

<!-- BEGIN CachedProductDisplay.jsp -->

<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="http://commerce.ibm.com/foundation" prefix="wcf" %>

<%@ include file="../../../include/JSTLEnvironmentSetup.jspf" %>
<%@ include file="../../../include/ErrorMessageSetup.jspf" %>

<c:set var="catalogEntryID" value="${param.productId}" />
<c:set var="type" value="product" />
<c:set var="dragType" value="item"/>

<wcbase:useBean id="product" classname="com.ibm.commerce.catalog.beans.ProductDataBean" scope="request">
	<c:set target="${product}" property="productID" value="${catalogEntryID}"/>
</wcbase:useBean>

<wcf:getData type="com.ibm.commerce.catalog.facade.datatypes.CatalogEntryType" var="catentry" expressionBuilder="getStoreCatalogEntryAttributesByID">
	<wcf:contextData name="storeId" data="${param.storeId}"/>
	<wcf:param name="catEntryId" value="${catalogEntryID}"/>
	<wcf:param name="dataLanguageIds" value="${WCParam.langId}"/>
</wcf:getData>

<wcf:getData type="com.ibm.commerce.giftcenter.facade.datatypes.GiftListType[]" var="userWishLists" expressionBuilder="findWishListsForUser">
	<wcf:contextData name="storeId" data="${WCParam.storeId}"/>
	<wcf:param name="accessProfile" value="IBM_Store_Summary" />
</wcf:getData>

<%@ include file="SetCatEntrySequence.jspf" %>

<c:set var="isBuyable" value="true"/>
<c:if test="${empty product.maximumItemPrice || product.buyable == 0}">
	<c:set var="isBuyable" value="false"/>
</c:if>

<c:set var="isSubscription" value="false"/>

<c:set var="search01" value="'"/>
<c:set var="replaceStr01" value="\\'"/>

<!-- Start Notification Container -->
<c:choose>
	<c:when test="${!empty WCParam.errorMessage && WCParam.errorView=='true'}">
		<div id="notification_container" class="item_wrapper notification" style="display:block">
			<p class="error"><c:out value="${WCParam.errorMessage}" escapeXml="true"/></p>
		</div>			
	</c:when>
	<c:when test="${!empty errorMessage}">
		<div id="notification_container" class="item_wrapper notification" style="display:block">
			<p class="error"><c:out value="${errorMessage}" /></p>
		</div>			
	</c:when>		
</c:choose>
<!--End Notification Container -->

<div id="update_cart_total" class="item_wrapper item_wrapper_gradient">
	<div class="item_spacer"></div>
				
	<c:set var="anyLargeAttachment" value="false" />
	<c:set property="attachmentUsage" value="IMAGE_SIZE_1000" target="${product}" />
	<c:set var="AttachmentDataBeans" value="${product.attachmentsByUsage}" />
	<c:forEach var="attachmentDB" items="${AttachmentDataBeans}" varStatus="status">
	        <c:set var="AttachmentAssetDataBeans" value="${attachmentDB.attachmentAssets}" />
	        <c:forEach var="AttachmentAssetDataBean" items="${AttachmentAssetDataBeans}">
			<c:if test="${!empty AttachmentAssetDataBean.attachmentAssetPath}">
				<c:set var="anyLargeAttachment" value="true" />
				<div>
					<img id="productMainImage" class="productLargeImage" src="<c:out value='${AttachmentAssetDataBean.objectPath}${AttachmentAssetDataBean.attachmentAssetPath}'/>" alt="<c:out value='${product.description.shortDescription}' />" />
				</div>
				<div class="item_spacer"></div>
			</c:if>
		</c:forEach>
	</c:forEach>
	
	<c:if test="${anyLargeAttachment == 'false'}">
		<div>
			<c:choose>
				<c:when test="${!empty product.description.fullImage}">
					<img id="productMainImage" src="<c:out value='${product.objectPath}${product.description.fullImage}'/>" width="150" height="150" border="0" alt="<c:out value='${product.description.shortDescription}' />" />
				</c:when>
				<c:otherwise>
					<img id="productMainImage" src="<c:out value='${hostPath}${jspStoreImgDir}'/>images/NoImageIcon.jpg" width="150" height="150" border="0" alt="<c:out value='${product.description.shortDescription}'/>" />
				</c:otherwise>
			</c:choose>
		</div>
		<div class="item_spacer"></div>
	</c:if>

	<div class="left width100">
		<div class="price_details_wrapper">
			<div>
				<div class="left_label left small_text"><c:out value="${product.partNumber}" escapeXml="false"/></div>
				<div class="clear_float"></div>
			</div>
			<div class="item_spacer_5px"></div>
			<div>
				<c:set var="catalogEntryDB" value="${product}" />
				<c:set var="displayPriceRange" value="true"/>
				<div class="left_label left bold"><%@ include file="../../../Snippets/ReusableObjects/CatalogEntryPriceDisplay.jspf"%></div>
				<div class="clear_float"></div>
			</div>
			<div class="item_spacer_5px"></div>

			<c:set var="selValSeparator" value="|" />
			<c:if test="${!empty WCParam.selectedValues}">
				<c:set var="selectedValue" value="${fn:split(WCParam.selectedValues, selValSeparator)}" />
			</c:if>
			<c:set var="entitledItems" value="${product.entitledItems}" />
			<c:set var="itemsAttributes" value="" />
			
			<fmt:message var="QuantityErrorMessage" key="QUANTITY_INPUT_ERROR" bundle="${storeText}" />
			<fmt:message var="ResolveSKUErrorMessage" key="ERR_RESOLVING_SKU" bundle="${storeText}" />

			<wcf:url var="OrderItemDisplayURL" value="m20OrderItemDisplay">
				<wcf:param name="langId" value="${langId}" />
				<wcf:param name="storeId" value="${WCParam.storeId}" />
				<wcf:param name="catalogId" value="${WCParam.catalogId}" />
				
				<c:if test="${WCParam.pgGrp == 'catNav'}">
					<wcf:param name="parent_category_rn" value="${WCParam.parent_category_rn}" />
					<wcf:param name="top_category" value="${WCParam.top_category}" />
					<wcf:param name="sequence" value="${WCParam.sequence}" />
					<wcf:param name="categoryId" value="${WCParam.categoryId}" />
				</c:if>
				<c:if test="${WCParam.pgGrp == 'search'}">
					<wcf:param name="pageSize" value="${WCParam.pageSize}" />
					<wcf:param name="resultCatEntryType" value="${WCParam.resultCatEntryType}" />
					<wcf:param name="searchTerm" value="${WCParam.searchTerm}" />
					<wcf:param name="beginIndex" value="${WCParam.beginIndex}" />
					<wcf:param name="sType" value="${WCParam.sType}" />
				</c:if>		
				
				<wcf:param name="pgGrp" value="${WCParam.pgGrp}" />		
			</wcf:url>	

			<wcf:url var="WishListCreateFormURL" value="m20InterestListForm">
				<wcf:param name="langId" value="${langId}" />
				<wcf:param name="storeId" value="${WCParam.storeId}" />
				<wcf:param name="catalogId" value="${WCParam.catalogId}" />
				<wcf:param name="productId" value="${catalogEntryID}" />
				<wcf:param name="fromPage" value="ProductDisplayToCreate" />
			</wcf:url>
			
			<form id="AddToCartForm" method="post" action="OrderChangeServiceItemAdd">
				<input type="hidden" name="catEntryId_1" value="${product.productID}" id="WC_MAddToCart_FormInput_catEntryId" />
				<input type="hidden" name="URL" value="${OrderItemDisplayURL}" id="WC_MAddToCart_FormInput_URL" />
				<input type="hidden" name="catalogId" value="${fn:escapeXml(WCParam.catalogId)}" id="WC_MAddToCart_FormInput_catlogId" />
				<input type="hidden" name="storeId" value="${fn:escapeXml(WCParam.storeId)}" id="WC_MAddToCart_FormInput_storeId" />
				<input type="hidden" name="langId" value="${langId}" id="WC_MAddToCart_FormInput_langId" />
				<input type="hidden" name="quantity_1" value="1" id="WC_MAddToCart_FormInput_quantity" />
				<input type="hidden" name="productId" value="${product.productID}" id="WC_MAddToCart_FormInput_productId"/>
				<input type="hidden" name="errorViewName" value="m20ProductDisplayView" id="WC_MAddToCart_FormInput_errorViewName"/>

				<c:if test="${WCParam.pgGrp == 'catNav'}">
					<input type="hidden" name="parent_category_rn" value="${fn:escapeXml(WCParam.parent_category_rn)}" />
					<input type="hidden" name="top_category" value="${fn:escapeXml(WCParam.top_category)}" />
					<input type="hidden" name="sequence" value="${fn:escapeXml(WCParam.sequence)}" />
					<input type="hidden" name="categoryId" value="${fn:escapeXml(WCParam.categoryId)}" />
				</c:if>
				<c:if test="${WCParam.pgGrp == 'search'}">
					<input type="hidden" name="pageSize" value="${fn:escapeXml(WCParam.pageSize)}" />
					<input type="hidden" name="resultCatEntryType" value="${fn:escapeXml(WCParam.resultCatEntryType)}" />
					<input type="hidden" name="searchTerm" value="${fn:escapeXml(WCParam.searchTerm)}" />
					<input type="hidden" name="beginIndex" value="${fn:escapeXml(WCParam.beginIndex)}" />
					<input type="hidden" name="sType" value="${fn:escapeXml(WCParam.sType)}" />
				</c:if>			

				<input type="hidden" name="pgGrp" value="${fn:escapeXml(WCParam.pgGrp)}" />
			
				<c:set var="selectedIndex" value="0" />
				<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}" varStatus="counter">
						<c:if test="${attribute.name == 'subscriptionTypeId'}">
							<c:if test="${attribute.stringValue.value != 'NONE'}">
								<c:set var="isSubscription" value="true" />
								<c:set var="isBuyable" value="false" />
							</c:if>
						</c:if>

						<c:if test="${attribute.usage == 'Defining'}">
							<c:set var="selectedIndex" value="${selectedIndex+1}" />
							<input type="hidden" id="addToCart_attrName_1_${selectedIndex}" name="attrName_1_${selectedIndex}" value="${attribute.attributeIdentifier.uniqueID}" />
							<input type="hidden" id="addToCart_attrValue_1_${selectedIndex}" name="attrValue_1_${selectedIndex}" value="" />
						</c:if>
				</c:forEach>	
			</form>
			
			<form id="InputError" method="post" action="m20ProductDisplayView">	
				<input type="hidden" name="errorView" value="true" />
				<input type="hidden" name="errorMessage" value="${QuantityErrorMessage}" id="InputErrorMessage" />

				<input type="hidden" name="productId" value="${product.productID}" />
				<input type="hidden" name="catalogId" value="${fn:escapeXml(WCParam.catalogId)}" />
				<input type="hidden" name="storeId" value="${fn:escapeXml(WCParam.storeId)}" />
				<input type="hidden" name="langId" value="${langId}" />

				<c:if test="${WCParam.pgGrp == 'catNav'}">
					<input type="hidden" name="parent_category_rn" value="${fn:escapeXml(WCParam.parent_category_rn)}" />
					<input type="hidden" name="top_category" value="${fn:escapeXml(WCParam.top_category)}" />
					<input type="hidden" name="sequence" value="${fn:escapeXml(WCParam.sequence)}" />
					<input type="hidden" name="categoryId" value="${fn:escapeXml(WCParam.categoryId)}" />
				</c:if>
				<c:if test="${WCParam.pgGrp == 'search'}">
					<input type="hidden" name="pageSize" value="${fn:escapeXml(WCParam.pageSize)}" />
					<input type="hidden" name="resultCatEntryType" value="${fn:escapeXml(WCParam.resultCatEntryType)}" />
					<input type="hidden" name="searchTerm" value="${fn:escapeXml(WCParam.searchTerm)}" />
					<input type="hidden" name="beginIndex" value="${fn:escapeXml(WCParam.beginIndex)}" />
					<input type="hidden" name="sType" value="${fn:escapeXml(WCParam.sType)}" />
				</c:if>			

				<input type="hidden" name="pgGrp" value="${fn:escapeXml(WCParam.pgGrp)}" />
			</form>

			<form name="wishlist_add" id="wishlist_add" method="post" action="GiftListServiceAddItem">
				<input type="hidden" name="URL" value="m20InterestListDisplay" />
				<input type="hidden" name="errorViewName" value="m20ProductDisplayView" />
				<input type="hidden" name="langId" value="${langId}" />
				<input type="hidden" name="storeId" value="${WCParam.storeId}" />
				<input type="hidden" name="catalogId" value="${WCParam.catalogId}" />
				<input type="hidden" name="giftListId" value="" id="giftListId" />
				<c:if test="${!empty entitledItems and fn:length(entitledItems) == 1}">
					<input type="hidden" name="catEntryId" value="${entitledItems[0].itemID}" id="wishlist_catEntryId" />
				</c:if>
				<input type="hidden" name="catEntryId" value="" id="wishlist_catEntryId" />
				<input type="hidden" name="quantity" value="1" />
				<input type="hidden" name="fromProdDisp" value="true" />
				<input type="hidden" name="errorView" value="true" />
				<input type="hidden" name="errorMessage" value="${ResolveSKUErrorMessage}" />

				<c:if test="${WCParam.pgGrp == 'catNav'}">
					<input type="hidden" name="parent_category_rn" value="${fn:escapeXml(WCParam.parent_category_rn)}" />
					<input type="hidden" name="top_category" value="${fn:escapeXml(WCParam.top_category)}" />
					<input type="hidden" name="sequence" value="${fn:escapeXml(WCParam.sequence)}" />
					<input type="hidden" name="categoryId" value="${fn:escapeXml(WCParam.categoryId)}" />
				</c:if>
				<c:if test="${WCParam.pgGrp == 'search'}">
					<input type="hidden" name="pageSize" value="${fn:escapeXml(WCParam.pageSize)}" />
					<input type="hidden" name="resultCatEntryType" value="${fn:escapeXml(WCParam.resultCatEntryType)}" />
					<input type="hidden" name="searchTerm" value="${fn:escapeXml(WCParam.searchTerm)}" />
					<input type="hidden" name="beginIndex" value="${fn:escapeXml(WCParam.beginIndex)}" />
					<input type="hidden" name="sType" value="${fn:escapeXml(WCParam.sType)}" />
				</c:if>		

				<input type="hidden" name="pgGrp" value="${fn:escapeXml(WCParam.pgGrp)}" />

				<%-- 
					***
					*	Start:	Product Defining Attributes
					* 		The drop down box will only display defining attributes.
					* 		Defining attributes are properties of SKUs.  They are used for SKU resolution.
					***
				--%>
				<c:if test="${!isSubscription}">
					<c:set var="selectedIndex" value="0" />
					<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}" varStatus="aStatus">
						<c:if test="${attribute.usage == 'Defining'}">
						<c:set var="selectedIndex" value="${selectedIndex+1}" />				
							<input type="hidden" name="attrName" value="<c:out value="${attribute.attributeIdentifier.uniqueID}" />" />
							<input type="hidden" name="attrNName" value="<c:out value="${attribute.name}" />" />
							<div>
							<!--<div class="left_column left_label left"><span class="required">*</span><c:out value='${attribute.name}'/></div>-->
							<!--<div class="right_column left bold">-->
									<div class="dropdown_container">
										<select name="attrValue" id="attrValue_<c:out value='${aStatus.count}'/>" class="inputfield input_width_standard"
											onchange='javascript:document.getElementById("findInvBtn").setAttribute("class", "secondary_button button_full");'>
											<option value="-n/a-">
												<fmt:message key="SELECT_ATTRIBUTE" bundle="${storeText}">
													<fmt:param><c:out value="${fn:replace(attribute.name, search01, replaceStr01)}"/></fmt:param>
												</fmt:message>
											</option>
											<c:forEach var="allowedValue" items="${attribute.allowedValue}" varStatus="allowedValueStatus">
												<c:set var="optionValue" value="${fn:replace(allowedValue.value, search01, replaceStr01)}" />
												<c:choose>						
													<c:when test="${selectedValue != undefined and allowedValueStatus.count == selectedValue[selectedIndex]}">
														<option selected="selected" value='<c:out value="${optionValue}" />'>
															<c:out value="${optionValue}" />
														</option>
													</c:when>
													<c:otherwise>
														<option value='<c:out value="${optionValue}" />'>
															<c:out value="${optionValue}" />
														</option>
													</c:otherwise>							
												</c:choose>							
											</c:forEach>
										</select>						
									</div>
							<!--</div>-->
								<div class="clear_float"></div>
								<div class="item_spacer_5px"></div>
							</div>
						</c:if>
					</c:forEach>
				</c:if>
				<%-- 
					***
					*	End: Product Defining Attributes
					***
				--%>
				
				<c:if test="${!empty WishListEntitledItems and fn:length(WishListEntitledItems) > 1 and selectedValue != undefined}">
					<input type="hidden" name="catEntryId" value="${selectedValue[0]}" id="wishlist_catEntryId" />
				</c:if>
			</form>

			<c:if test="${isBuyable}">		
				<div>
					<div class="left_column left_label left"><fmt:message key="QUANTITY" bundle="${storeText}" /></div>
					<div class="right_column left bold">
						<input type="text" pattern="[0-9]*" id="quantity" name="quantity" min="1" max="50" value="1" class="inputfield input_width_120" />
					</div>
					<div class="clear_float"></div>
				</div>
			</c:if>
		</div>
		<div class="clear_float"></div>
	</div>

	<div class="clear_float"></div>
	<div class="item_spacer"></div>
	
	<c:if test="${isBuyable}">
		<a id="add_to_cart" href="#" onclick="javascript:submitAddToCart();"><div class="primary_button button_full"><fmt:message key="ADD_TO_CART" bundle="${storeText}" /></div></a>

		<wcf:url var="AddToProdCompare" value="m20AddToProdCompare">
			<c:forEach var="parameter" items="${WCParamValues}">
				<c:forEach var="value" items="${parameter.value}">
					<c:if test="${parameter.key != 'catentryId' and parameter.key != 'productId'}">
						<wcf:param name="${parameter.key}" value="${value}" />
					</c:if>
				</c:forEach>
			</c:forEach>		
			<wcf:param name="catEntryId" value="${product.productID}"/>
			<wcf:param name="productId" value="${product.productID}"/>
		</wcf:url>					

		<div class="multi_button_container">
			<c:if test="${itemsAttributes == ''}">
				<c:if test="${!empty entitledItems and fn:length(entitledItems) > 1}">
					<c:set var="itemsAttributes" value="" />
					<c:forEach var="entitledItem" items="${entitledItems}">
						<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}itemID=${entitledItem.itemID}" />

						<c:forEach var="entitledItemAttribute" items="${entitledItem.definingAttributeValueDataBeans}">
							<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}${entitledItemAttribute.attributeDataBean.name}${entitledItemAttribute.value}" />
						</c:forEach>
						<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}" />
					</c:forEach>
				</c:if>
			</c:if>

			<div class="dropdown_container">
				<div><label for="wishListSelection"></label></div>
				<select class="secondary_button button_full" id="wishListSelection" name="wishListSelection" onchange="addToWishList('<c:out value="${itemsAttributes}" />', '<c:out value="${selValSeparator}" />')">
					<option value=""><fmt:message key="WISHLIST" bundle="${storeText}" /></option>
					<option value=""><fmt:message key="CREATE_WISHLIST_OPTION" bundle="${storeText}" /></option>
					<c:forEach var="userList" items="${userWishLists}">
						<option value="<c:out value="${userList.giftListIdentifier.uniqueID}" escapeXml="false"/>"><c:out value="${userList.description.name}" escapeXml="false"/></option>
					</c:forEach>
				</select>
			</div>
			
			<a id="mCompareAdd" href="${fn:escapeXml(AddToProdCompare)}" title="<fmt:message key="SELECT_TO_COMPARE" bundle="${storeText}" />">
				<div class="secondary_button button_full"><fmt:message key="SELECT_TO_COMPARE" bundle="${storeText}" /></div>
			</a>
			<div class="clear_float"></div>
		</div>
		
		<form method="post" action="m20ProductDisplayView" id="product_avail_refresh">
			<input type="hidden" name="catalogId" value="${fn:escapeXml(WCParam.catalogId)}" />
			<input type="hidden" name="storeId" value="${fn:escapeXml(WCParam.storeId)}" />
			<input type="hidden" name="productId" value="${catalogEntryID}" />
			<input type="hidden" name="langId" value="${langId}" />
			<input type="hidden" name="errorViewName" value="m20ProductDisplayView" />
			<input type="hidden" name="top_category" value="${fn:escapeXml(WCParam.top_category)}" />
			<input type="hidden" name="parent_category_rn" value="${fn:escapeXml(WCParam.parent_category_rn)}" />
			<input type="hidden" name="categoryId" value="${fn:escapeXml(WCParam.categoryId)}" />
			<input type="hidden" name="pgGrp" value="${fn:escapeXml(WCParam.pgGrp)}" />
			<input type="hidden" name="selectedValues" value="" />
		</form>

		<c:if test="${itemsAttributes == ''}">
			<c:if test="${!empty entitledItems and fn:length(entitledItems) > 1}">
				<c:set var="itemsAttributes" value="" />
				<c:forEach var="entitledItem" items="${entitledItems}">
					<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}itemID=${entitledItem.itemID}" />

					<c:forEach var="entitledItemAttribute" items="${entitledItem.definingAttributeValueDataBeans}">
						<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}${entitledItemAttribute.attributeDataBean.name}${entitledItemAttribute.value}" />
					</c:forEach>
					<c:set var="itemsAttributes" value="${itemsAttributes}${selValSeparator}" />
				</c:forEach>
			</c:if>
		</c:if>

	</c:if>

	<div class="item_spacer_10px"></div>
	<p class="bold"><fmt:message key="DESCRIPTION" bundle="${storeText}" />:</p>
	<div class="item_spacer_5px"></div>
	<p><c:out value="${product.description.longDescription}" escapeXml="false"/></p>
</div>	

<flow:ifEnabled feature="FacebookIntegration">
     <!-- Add in Facebook "Like" plugin  -->
     <!-- pass in locale / appId to JS to setup the right language / Application Id for Facebook -->
     <script type="text/javascript" src="<c:out value="${jspStoreImgDir}mobile20/../javascript/FBintegrationCommon.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
     <script type="text/javascript" src="<c:out value="${jspStoreImgDir}mobile20/javascript/FBMobileAdapter.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
     <span>
          <fb:like id="social_facebook_Details_Like_Button_Display" send="true" show_faces="false" href="<c:out value="${productDisplayUrl}"/>" layout="button_count" send="true" width="125" height="30" action="like" colorscheme="light" ref="${refValue}"  ></fb:like>
     </span>
</flow:ifEnabled>

<c:if test="${isBuyable}">
	<div id="Item_availability_status" class="item_wrapper item_wrapper_gradient">
		<ul class="entry">
			<li><h3><fmt:message key="CHECK_STORE_AVAIL" bundle="${storeText}" /></h3></li>
		</ul>
	</div>
	<c:if test="${!empty entitledItems and fn:length(entitledItems) == 1}">
		<%out.flush();%>
		<c:import url="${jspStoreDir}${storeNameDir}Snippets/Catalog/CatalogEntryDisplay/ItemAvailability.jsp">
			<c:param name="itemId" value="${entitledItems[0].itemID}" />
		</c:import>
		<%out.flush();%>
	</c:if>
	<c:if test="${!empty entitledItems and fn:length(entitledItems) > 1 and selectedValue != undefined}">
		<%out.flush();%>
		<c:import url="${jspStoreDir}${storeNameDir}Snippets/Catalog/CatalogEntryDisplay/ItemAvailability.jsp">
			<c:param name="itemId" value="${selectedValue[0]}" />
		</c:import>
		<%out.flush();%>
	</c:if>
	<c:if test="${itemsAttributes != ''}">
		<fmt:message var="showStoreAvail" key="SHOW_STORE_AVAIL" bundle="${storeText}" />
		<div class="item_wrapper button_wrapper">
			<div class="single_button_container">
				<a id="resolve_SKU" href="#" onclick="javascript:resolveSKU('<c:out value="${itemsAttributes}" />', '<c:out value="${selValSeparator}" />');" title="${fn:escapeXml(showStoreAvail)}">
					<div id="findInvBtn" class="tertiary_button button_full"><c:out value="${showStoreAvail}" /></div>
				</a>
				<div class="clear_float"></div>
			</div>
		</div>
	</c:if>
</c:if>

<%@ include file="ProductQuickNavigation.jspf" %>	


<script type="text/javascript">
//<![CDATA[

function processSKU(itemsAttributes, strSeparator, resolveWhat) {
		var itemAttributes = itemsAttributes.split(strSeparator + "itemID=");

		var fromForm = document.getElementById("wishlist_add");
		var attrNName = fromForm.attrNName;
		var attrValue = fromForm.attrValue;

		var selectedAttrNameValue = new Array();
		var selectedAttrValues = "";

		if (attrNName.length == undefined) {
			selectedAttrNameValue[0] = attrNName.value + attrValue.options[attrValue.selectedIndex].value;
			selectedAttrValues = attrValue.selectedIndex;
		}
		else {
			for (i=0; i<attrNName.length; i++) {
				selectedAttrNameValue[i] = attrNName[i].value + attrValue[i].options[attrValue[i].selectedIndex].value;
				selectedAttrValues = selectedAttrValues + strSeparator + attrValue[i].selectedIndex;
			}
		}	

		var foundInfo = "";
		for (i=0; i<itemAttributes.length; i++) {
			var found = true;
			for (j=0; j<selectedAttrNameValue.length; j++) {
				if (itemAttributes[i].indexOf(selectedAttrNameValue[j]) < 0) {
					found = false;
				}
			}

			if (found) {
				var foundItem = itemAttributes[i].split(strSeparator);
				if (resolveWhat == "itemIdOnly") {
					foundInfo = foundItem[0];
				}
				else {
					foundInfo = foundItem[0] + strSeparator + selectedAttrValues;
				}
				i = itemAttributes.length;
			}
		}
		
		return foundInfo;
	}
	
function resolveSKU(itemsAttributes, strSeparator){
	var toForm = document.getElementById("product_avail_refresh");
	toForm.selectedValues.value = processSKU(itemsAttributes, strSeparator, "itemIdPlus");

	if (toForm.selectedValues.value == "") {
		document.getElementById("InputErrorMessage").value = "<c:out value="${ResolveSKUErrorMessage}" />";
		document.getElementById("InputError").submit();
		return;
	}

	toForm.submit();
}

function submitAddToCart() {
	var attrValue;
	var v = document.getElementById("quantity").value;
	document.getElementById("WC_MAddToCart_FormInput_quantity").value = v;

	<c:set var="selectedIndex" value="0" />
	<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}" varStatus="counter">
		<c:if test="${attribute.usage == 'Defining'}">
			<c:set var="selectedIndex" value="${selectedIndex+1}" />
			attrValue = document.getElementById("attrValue_${counter.count}").value;
			if(attrValue == "-n/a-") {
				document.getElementById("InputErrorMessage").value = "<c:out value="${ResolveSKUErrorMessage}" />";
				document.getElementById("InputError").submit();
				return;
			}
			document.getElementById("addToCart_attrValue_1_${selectedIndex}").value = attrValue;
		</c:if>
	</c:forEach>	

	if(v=="" || isNaN(v) || v < 1) {
		document.getElementById("InputError").submit();
	}
	else {
		document.getElementById("AddToCartForm").submit();
	}
}

function addToWishList(itemsAttributes, strSeparator) {
	// first selection
	selectedIndex = document.getElementById("wishListSelection").selectedIndex;
	if (selectedIndex == 0) {
		return;
	}
	
	selectedValue = document.getElementById("wishListSelection").options[selectedIndex].value;
	// "New Wish List" is selected
	if (selectedValue == "" && selectedIndex == 1) {
		window.location.href="${WishListCreateFormURL}";
		return;
	}
	else {
		// Wish list is selected. Set the giftListId, then submit the form.
		document.getElementById("giftListId").value = document.getElementById("wishListSelection").options[document.getElementById("wishListSelection").selectedIndex].value;

		if (document.getElementById("wishlist_catEntryId").value == "") {
			document.getElementById("wishlist_catEntryId").value = processSKU(itemsAttributes, strSeparator, "itemIdOnly");
		}

		if (document.getElementById("wishlist_catEntryId").value == "") {
			document.getElementById("InputErrorMessage").value = "<c:out value="${ResolveSKUErrorMessage}" />";
			document.getElementById("InputError").submit();
			return;
		}
		
		document.wishlist_add.submit();
	}
}

//]]> 
</script>


<!-- END CachedProductDisplay.jsp -->
