<!DOCTYPE HTML>

<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2011 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>

<!-- BEGIN ProductDisplay.jsp -->

<%@ include file="../../../include/JSTLEnvironmentSetup.jspf" %>

<c:set var="productId" value="${empty param.productId ? 0 : param.productId}"/>
<c:set var="tabIndex" value="${empty param.tabIndex ? 0 : param.tabIndex}"/>

<c:if test="${productId != 0}">
	<wcbase:useBean id="catalogEntry" classname="com.ibm.commerce.catalog.beans.CatalogEntryDataBean">
		<c:set property="catalogEntryID" value="${productId}" target="${catalogEntry}"/>
	</wcbase:useBean>
</c:if>

<html xmlns="http://www.w3.org/1999/xhtml"
<flow:ifEnabled feature="FacebookIntegration">
	<%-- Facebook requires this to work in IE browsers --%>
	xmlns:fb="http://www.facebook.com/2008/fbml" 
	xmlns:og="http://opengraphprotocol.org/schema/"
</flow:ifEnabled>
>	
	<head>
		<title><c:out value="${catalogEntry.description.name}" escapeXml="false"/></title>
		<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,minimum-scale=1,user-scalable=no"/>
		<meta name="apple-mobile-web-app-capable" content="yes">
		<%@ include file="../../../include/JSTLEnvironmentSetupExtForSearch.jspf" %>
		<link href="${dojoDir}/dojox/mobile/themes/iphone/iphone.css" rel="stylesheet"/>
		<link rel="stylesheet" href="${jspStoreImgDir}tablet/${vfileStylesheet}" type="text/css"/>
	
<%-- ====================Facebook og tags====================== --%>
<meta name="description" content="<c:out value="${metaDescription}"/>"/>
<wcf:url var="ProductDisplayURL" patternName="ProductURL" value="Product">
        <wcf:param name="langId" value="${langId}" />
        <wcf:param name="storeId" value="${WCParam.storeId}" />
        <wcf:param name="catalogId" value="${WCParam.catalogId}" />
        <wcf:param name="productId" value="${productId}" />
</wcf:url>
<flow:ifEnabled feature="FacebookIntegration">
	<%--Use Madisons logo if product image does not exist  --%>
	<meta property="og:title" content="<c:out value="${pageTitle}"/>" /> 
	<c:choose>
	    <%--Use Madisons logo if no product image  --%>
	    <c:when test="${!empty product.description.fullImage}">
		<meta property="og:image" content="<c:out value="${schemeToUse}://${request.serverName}${portUsed}${product.objectPath}${product.description.fullImage}"/>"/>
	    </c:when>
	    <c:otherwise>
		<meta property="og:image" content="<c:out value="${schemeToUse}://${request.serverName}${portUsed}${jspStoreImgDir}images/logo.gif"/>" />
	    </c:otherwise>
	</c:choose>
	<meta property="og:url" content="<c:out value="${ProductDisplayURL}"/>"/>
	<meta property="og:type" content="product"/>
	<meta property="fb:app_id" name="fb_app_id" content="<c:out value="${facebookAppId}"/>"/>
</flow:ifEnabled>
<link rel="canonical" href="<c:out value="${ProductDisplayURL}"/>" />
<%-- ====================Facebook og tags====================== --%>
	
		<script type="text/javascript" src="${dojoFile}" djConfig="${dojoConfigParams}"></script>
		<script type="text/javascript" src="${jsAssetsDir}tablet/javascript/DojoMobile.js"></script>
		
		<%@ include file="../../../include/CommonJSToInclude.jspf" %>
		<%@ include file="../../../Snippets/ReusableObjects/Initialize.jspf" %>
		
		<script>
			function selectTab(tabIndex) {
				if (tabIndex == 1) {
					Product.selectProductTab('availabilityTab');
				} else if (tabIndex == 2) {
					selectProductTab('reviewsTab');
				} else {
					Product.selectProductTab('descriptionTab');
				}
			}
		</script>

	</head>

	<body onload="Initialize(); selectTab(${tabIndex});">
		<div class="basicPageLayout">
			<%out.flush();%>
			<c:import url="${jspStoreDir}tablet/${StyleDir}CachedHeaderDisplay.jsp"/>
			<%out.flush();%>
			<h2 class="viewHeader" dojoType="wc.mobile.PlainHeading" fixed="top">
				<a href="javascript:if (history.length>0) {Common.startProgressIndicator(); history.go(-1);}">
					<div class="backButtonContainer">
						<div class="backButton"></div>
					</div>
				</a>
				<c:out value="${catalogEntry.description.name}" escapeXml="false"/>
			</h2>
			<div id="ProductDsiplayView" class="pageContent" data-dojo-type="dojox.mobile.ScrollableView" data-dojo-props="selected: true">

				<c:choose>
					<c:when test="${catalogEntry.bundle == true}">
						<%out.flush();%>
						<c:import url="${jspStoreDir}tablet/Snippets/Catalog/CatalogEntryDisplay/CachedBundleDisplay.jsp">
							<c:param name="productId" value="${productId}"/>
						</c:import>
						<%out.flush();%>
					</c:when>
					<c:when test="${catalogEntry.package == true}">
						<%out.flush();%>
						<c:import url="${jspStoreDir}tablet/Snippets/Catalog/CatalogEntryDisplay/CachedPackageDisplay.jsp">
							<c:param name="productId" value="${productId}"/>
						</c:import>
						<%out.flush();%>
					</c:when>
					<c:when test="${catalogEntry.item == true}">
						<%out.flush();%>
						<c:import url="${jspStoreDir}tablet/Snippets/Catalog/CatalogEntryDisplay/CachedItemDisplay.jsp">
							<c:param name="productId" value="${productId}"/>
						</c:import>
						<%out.flush();%>
					</c:when>
					<c:when test="${catalogEntry.product == true}">
						<%out.flush();%>
						<c:import url="${jspStoreDir}tablet/Snippets/Catalog/CatalogEntryDisplay/CachedProductDisplay.jsp">
							<c:param name="productId" value="${productId}"/>
						</c:import>
						<%out.flush();%>
					</c:when>												
				</c:choose>
				
			</div>
			<%out.flush();%>
			<c:import url="${jspStoreDir}tablet/${StyleDir}CachedFooterDisplay.jsp"/>
			<%out.flush();%>
		</div>
		<%@ include file="../../../Snippets/ReusableObjects/AddToCartForm.jspf" %>
	</body>
	
</html>

<!-- END ProductDisplay.jsp -->
