<?xml version="1.0" encoding="UTF-8" ?>

<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2011 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>

<!-- BEGIN CachedProductDisplay.jsp -->

<%@ include file="../../../include/JSTLEnvironmentSetup.jspf" %>
<c:set var="productId" value="${empty param.productId ? 0 : param.productId}"/>
<c:set var="itemId" value="${empty param.itemId ? 0 : param.itemId}"/>
<c:set var="catalogEntryID" value="${productId}" />
<c:set var="selValSeparator" value="|" />
<c:if test="${!empty param.selectedValues}">
	<c:set var="selectedValue" value="${fn:split(param.selectedValues, selValSeparator)}" />
</c:if>

<c:if test="${productId != 0}">
	<wcbase:useBean id="catalogEntry" classname="com.ibm.commerce.catalog.beans.CatalogEntryDataBean">
		<c:set property="catalogEntryID" value="${productId}" target="${catalogEntry}"/>
	</wcbase:useBean>

	<wcf:getData type="com.ibm.commerce.catalog.facade.datatypes.CatalogEntryType" var="catentry" expressionBuilder="getStoreCatalogEntryAttributesByID">
		<wcf:contextData name="storeId" data="${storeId}"/>
		<wcf:param name="catEntryId" value="${catalogEntryID}"/>
		<wcf:param name="dataLanguageIds" value="${langId}"/>
	</wcf:getData>
</c:if>
<c:set var="product" value="${catalogEntry.productDataBean}"/>

<c:set var="isBuyable" value="true"/>
<c:if test="${empty product.maximumItemPrice || product.buyable == 0}">
	<c:set var="isBuyable" value="false"/>
</c:if>
<c:set var="isSubscription" value="false"/>

<div class="catalogEntryContent">

	<div class="center">
		<div class="spacer_5px"></div>
		<c:set var="anyLargeAttachment" value="false" />
		<c:set property="attachmentUsage" value="IMAGE_SIZE_1000" target="${product}" />
		<c:set var="AttachmentDataBeans" value="${product.attachmentsByUsage}" />
		<c:forEach var="attachmentDB" items="${AttachmentDataBeans}" varStatus="status">
			<c:set var="AttachmentAssetDataBeans" value="${attachmentDB.attachmentAssets}" />
			<c:forEach var="AttachmentAssetDataBean" items="${AttachmentAssetDataBeans}">
				<c:if test="${!empty AttachmentAssetDataBean.attachmentAssetPath}">
					<c:set var="anyLargeAttachment" value="true" />
					<div class="productImage left">
						<img id="productMainImage" class="productLargeImage" src="<c:out value='${AttachmentAssetDataBean.objectPath}${AttachmentAssetDataBean.attachmentAssetPath}'/>" alt="<c:out value='${product.description.shortDescription}' />" />
					</div>
					<div class="spacer_10px"></div>
				</c:if>
			</c:forEach>
		</c:forEach>

		<c:if test="${anyLargeAttachment == 'false'}">
			<div class="productImage left">
				<c:choose>
					<c:when test="${!empty product.description.fullImage}">
						<img id="productMainImage" src="<c:out value='${product.objectPath}${product.description.fullImage}'/>" width="150" height="150" border="0" alt="<c:out value='${product.description.shortDescription}' />" />
					</c:when>
					<c:otherwise>
						<img id="productMainImage" src="<c:out value='${hostPath}${jspStoreImgDir}'/>images/NoImageIcon.jpg" width="150" height="150" border="0" alt="<c:out value='${product.description.shortDescription}'/>" />
					</c:otherwise>
				</c:choose>
			</div>
		</c:if>
			
		<wcf:url var="myAccountWishtList" value="tMyAccountView">
			<wcf:param name="storeId" value="${storeId}" />
			<wcf:param name="catalogId" value="${catalogId}" />
			<wcf:param name="detailViewIndex" value="4"/>
		</wcf:url>

		<wcf:url var="WishlistAdd" value="InterestItemAdd">
			<wcf:param name="langId" value="${langId}" />
			<wcf:param name="storeId" value="${storeId}" />
			<wcf:param name="catalogId" value="${catalogId}" />
			<wcf:param name="URL" value="${myAccountWishtList}" />
		</wcf:url>

		<c:set var="hasAttributes" value="true"/>
		<c:if test="${fn:length(product.entitledItems) == 1}">
			<c:set var="itemId" value="${product.entitledItems[0].itemID}"/>
			<c:set var="hasAttributes" value="false"/>
		</c:if>

		<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}" varStatus="aStatus">
				<c:if test="${attribute.name == 'subscriptionTypeId'}">
					<c:if test="${attribute.stringValue.value != 'NONE'}">
						<c:set var="isSubscription" value="true" />
						<c:set var="isBuyable" value="false" />
					</c:if>
				</c:if>
		</c:forEach>

		<div class="productActions right">
			<c:if test="${!isSubscription}">
			<c:if test="${isBuyable}">
				<c:set var="numberOfAttributes" value="0" />
				<c:set var="selectedIndex" value="0" />
				<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}" varStatus="aStatus">
					<c:if test="${attribute.usage == 'Defining'}">
						<c:set var="numberOfAttributes" value="${numberOfAttributes+1}" />
								
						<c:if test="${numberOfAttributes == 1}">
							<div class="spacer_10px"></div>
						</c:if>
						<input type="hidden" id="ProductDetails_Attribute_Name_<c:out value='${numberOfAttributes}'/>" value="${attribute.name}"/>
						<select id="ProductDetails_Attribute_Value_<c:out value='${numberOfAttributes}'/>" class="attributeInputField">
							<option value="-n/a-">
								<fmt:message key="Product_Detail_Select_Attribute" bundle="${storeText}">
									<fmt:param><c:out value="${attribute.name}"/></fmt:param>
								</fmt:message>
							</option>
							<c:forEach var="allowedValue" items="${attribute.allowedValue}" varStatus="allowedValueStatus">
								<c:choose>						
									<c:when test="${selectedValue[selectedIndex] == allowedValue.value}">
										<option selected="selected" value='<c:out value="${allowedValue.value}" />'>
											<c:out value="${allowedValue.value}" />
										</option>
									</c:when>
									<c:otherwise>
										<option value='<c:out value="${allowedValue.value}" />'>
											<c:out value="${allowedValue.value}" />
										</option>
									</c:otherwise>							
								</c:choose>		
							</c:forEach>
						</select>
						<c:set var="selectedIndex" value="${selectedIndex+1}" />
						<div class="spacer_5px"></div>
						<div class="clear"></div>
					</c:if>
				</c:forEach>

				<c:set var="entitledItems" value="${product.entitledItems}" />

				<!-- Generate item array -->
				<c:if test="${!empty entitledItems and fn:length(entitledItems) > 0}">
					<script>
						Product.products = new Array();
						var product = new Object();
						product["productId"] = "${catalogEntryID}";
						product["items"] = new Array();
						<c:forEach var="entitledItem" items="${entitledItems}" varStatus="status">
							var item_${status.count} = new Object();
							item_${status.count}["itemId"] = "${entitledItem.itemID}";
							<c:forEach var="entitledItemAttribute" items="${entitledItem.definingAttributeValueDataBeans}">
								item_${status.count}["${entitledItemAttribute.attributeDataBean.name}"] = "${entitledItemAttribute.value}";
							</c:forEach>
							product["items"][product["items"].length] = item_${status.count};
						</c:forEach>
						Product.products[Product.products.length] = product;
					</script>
				</c:if>

				<div class="spacer_10px"></div>
			
				<div class="leftAlign largeLabel"><fmt:message key="Checkout_Shopping_Cart_Qty" bundle="${storeText}"/></div>
				<div class="leftAlign">
					<input id="ProductDetails_Quantity" min="1" required="required" pattern="[1-9][0-9]*" type="text" value="1" class="extraSmallInputField"/>
				</div>

				<div class="spacer_10px clear"></div>

				<c:choose>
					<c:when test="${!hasAttributes}">
						<div onclick="javascript:Common.addToCart('${itemId}');" class="orangeButton"><fmt:message key="Button_Add_To_Cart" bundle="${storeText}"/></div>
					</c:when>
					<c:otherwise>
						<div onclick="javascript:Common.addToCart('');" class="orangeButton"><fmt:message key="Button_Add_To_Cart" bundle="${storeText}"/></div>
					</c:otherwise>
				</c:choose>
			</c:if>
			
			<div class="clear"></div>

			<c:choose>
				<c:when test="${userType eq 'G'}">
					<a class="button" href="javascript:void(0);" onclick="Common.openLoginDialog();"><div class="blueButton"><fmt:message key="Button_Add_To_Wish_List" bundle="${storeText}"/></div></a>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${!hasAttributes}">
							<a class="button" href="javascript:Common.addProductToWishList('${WishlistAdd}', '${itemId}')"><div class="blueButton"><fmt:message key="Button_Add_To_Wish_List" bundle="${storeText}"/></div></a>
						</c:when>
						<c:otherwise>
							<a class="button" href="javascript:Common.addProductToWishList('${WishlistAdd}', '')"><div class="blueButton"><fmt:message key="Button_Add_To_Wish_List" bundle="${storeText}"/></div></a>
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>

			<div class="spacer_5px"></div>
			
			<wcf:url var="ProductCompareURL" value="tProductCompareResultView">
				<wcf:param name="storeId" value="${storeId}"/>
				<wcf:param name="catalogId" value="${catalogId}"/>
				<wcf:param name="langId" value="${langId}"/>
			</wcf:url>
			
			<c:set var="wcProductCompareIds" value="${cookie.WC_TabletProductCompare.value}" />
			<c:set var="wcProductCompareIds" value="${fn:replace(wcProductCompareIds, '%2C', ',')}" scope="page" />
	
			<c:set var="catalogEntryIds" value="&catentryId=${productId}" />
			
			<c:forTokens items="${wcProductCompareIds}" delims="," var="catentryId">
				<c:set var="catalogEntryIds" value="${catalogEntryIds}&catentryId=${catentryId}" />
			</c:forTokens>
			
			<a class="button" href="javascript:Product.addProductCompareList('${productId}', '${ProductCompareURL}${catalogEntryIds}');"><div class="blueButton"><fmt:message key="Button_Select_To_Compare" bundle="${storeText}"/></div></a>
			</c:if>
		</div>
		<div class="clear"></div>
		<c:if test="${anyLargeAttachment == 'false'}">
			<div class="spacer_20px"></div>
		</c:if>
	</div>

	<!-- Start Tab Container (3 tabs) -->
	<div class="tabWrapper">
		<div class="tabHeader threeTabHeader">
			<div id="descriptionTab" onclick="javascript:Product.selectProductTab('descriptionTab');" class="tabContainer activeTab"><fmt:message key="Product_Detail_Description" bundle="${storeText}"/></div>
			<div class="tabSpacer"></div>
			<div id="availabilityTab" onclick="javascript:Product.selectProductTab('availabilityTab');" class="tabContainer inactiveTab"><fmt:message key="Product_Detail_Availability" bundle="${storeText}"/></div>
			<div class="tabSpacer"></div>
			<div id="reviewsTab" onclick="javascript:Product.selectProductTab('reviewsTab');" class="tabContainer inactiveTab" style="display:none;"><fmt:message key="Product_Detail_Reviews" bundle="${storeText}"/></div>
			<div class="tabEnd"></div>
			<div class="clear"></div>
		</div>
		<div class="tabContent" id="descriptionTabContent">
			<!-- Start Tab Content -->
			<div class="descriptionContent left">
				<div class="spacer_5px"></div>
				
				<c:if test="${!isBuyable}">
					<div class="description">
						<p><fmt:message key="Product_Detail_No_Purchase" bundle="${storeText}"/></p>
						<div class="spacer_10px"></div>
					</div>
				</c:if>
				
				<div class="smallText">
					<fmt:message key="Product_Detail_SKU" bundle="${storeText}"/>${product.partNumber}
				</div>
				<div class="spacer_10px"></div>
				<div class="price">
					<c:set var="catalogEntryDB" value="${catalogEntry}"/>
					<%@ include file="../../../Snippets/ReusableObjects/CatalogEntryPriceDisplay.jspf"%>
				</div>
				<div class="spacer_10px"></div>
				<div class="description">
					<p><c:out value="${product.description.longDescription}" escapeXml="false"/></p>
				</div>
<flow:ifEnabled feature="FacebookIntegration">
<%-- ** Display Facebook Plug-ins; Like/Send button on Product Details Page ** --%>
<c:set var="refValue" value="${categoryId}+${productId}+${product.partNumber}+${product.manufacturerName}"/>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}tablet/../javascript/FBintegrationCommon.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
<script type="text/javascript" src="<c:out value="${jspStoreImgDir}tablet/javascript/FBTabletAdapter.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
<div class="spacer_20px"></div>
     <script type="text/javascript" src="<c:out value="${jspStoreImgDir}tablet/javascript/FBintegration.js"/>?locale=<c:out value="${locale}"/>&appId=<c:out value="${facebookAppId}"/>"></script>
     <span>
           <fb:like id="social_facebook_Details_Like_Button_Display" send="true" show_faces="false" href="<c:out value="${productDisplayUrl}"/>" layout="button_count" send="true" width="125" height="30" action="like" colorscheme="light" ref="<c:out value="${refValue}"/>"  ></fb:like>
     </span>
</flow:ifEnabled>					
				<div class="spacer_10px"></div>
				<c:set var="descAttrCount" value="0"/>
				<c:forEach var="attribute" items="${catentry.catalogEntryAttributes.attributes}">
					<c:if test="${ attribute.usage=='Descriptive' }" >
						<c:set var="descAttrCount" value="${descAttrCount + 1}"/>
						<p><span class="bold" id="descAttributeName_${descAttrCount}"><c:out value="${attribute.name}" escapeXml="false" /></span>:											
						<c:choose>
							<c:when test="${ !empty attribute.extendedValue['Image1']  }" >
								<c:out value="${attribute.value.value}" escapeXml="false" />&nbsp;<img src="<c:out value="${product.objectPath}${attribute.extendedValue['Image1']}" />" alt="<c:out value="${attribute.value.value}" />" border="0"/>												
							</c:when>
							<c:otherwise >
								<c:out value="${attribute.value.value}" escapeXml="false" />
							</c:otherwise>
						</c:choose>
						</p>
					</c:if>
				</c:forEach>
				<div class="spacer_10px clear"></div>
					
			</div>
			<div class="clear"></div>
		</div>
		<div class="tabContent" id="availabilityTabContent" style="display:none;">
			<div class="availabilityContent left">
				
				<c:choose>
					<c:when test="${itemId != '0'}">
						<%out.flush();%>
						<c:import url="../../../Snippets/Catalog/CatalogEntryDisplay/ItemAvailability.jsp">
							<c:param name="itemId" value="${itemId}"/>
						</c:import>
						<%out.flush();%>
					</c:when>
					<c:otherwise>
						<fmt:message key="Product_Detail_Availability_Error" bundle="${storeText}"/>
					</c:otherwise>
				</c:choose>
				<div class="spacer_5px clear"></div>
				
				<form method="post" action="tProductDisplayView" id="refreshAvailabilityForm">
					<input type="hidden" id="refreshAvailabilityForm_input_catalogId" name="catalogId" value="${catalogId}" />
					<input type="hidden" id="refreshAvailabilityForm_input_storeId" name="storeId" value="${storeId}" />
					<input type="hidden" id="refreshAvailabilityForm_input_langId" name="langId" value="${langId}" />
					<input type="hidden" id="refreshAvailabilityForm_input_productId" name="productId" value="${productId}" />
					<input type="hidden" id="refreshAvailabilityForm_input_itemId" name="itemId" value="" />
					<input type="hidden" id="refreshAvailabilityForm_input_selectedValues" name="selectedValues" value="" />
					<input type="hidden" id="refreshAvailabilityForm_input_tabIndex" name="tabIndex" value="1" />
				</form>
				<c:if test="${!isSubscription}">
				<div onclick="javascript:Common.refreshProductAvailability();" class="blueButton"><fmt:message key="Product_Detail_Refresh_Availability" bundle="${storeText}"/></div>
				</c:if>
			</div>
			<div class="clear"></div>
		</div>
		<div class="tabContent" id="reviewsTabContent" style="display:none;">
			<p class="reviewsContent left">
				<fmt:message key="Product_Detail_No_Reviews" bundle="${storeText}"/>
			</p>
			<div class="clear"></div>
		</div>
	</div>
	<!-- End Tab Container(3 tabs) -->

</div>

<!-- END CachedProductDisplay.jsp -->
